/**
 *  @file       gamer.h
 *  @ingroup    global_gamer
 *  @brief      The foundation header for GAMER.
 *  @authors    Michael Holst
 *  @note       This is the main header file for all of GAMER.
 *              This is the only file that needs to be included in order to 
 *              access the entire library.
 *  @version    $Id: gamer.h,v 1.12 2010/08/12 05:43:09 fetk Exp $
 *  
 *  @attention
 *  @verbatim
 *
 * GAMER = < Geometry-preserving Adaptive MeshER >
 * Copyright (C) 1994-- Michael Holst and Zeyun Yu
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 *  @endverbatim
 */


#ifndef _GAMER_H_
#define _GAMER_H_

#include <gamer/gamer_base.h>

#include <gamer/triangle.h>
#include <gamer/tetgen.h>
#include <gamer/biom.h>

#endif /* _GAMER_H_ */

