/**
 *  @file       bam.h
 *  @brief      The primary header for the Block Algebraic Methods.
 *  @author     Michael Holst
 *  @note       None
 *  @version    $Id: bam.h,v 1.15 2010/08/12 05:18:33 fetk Exp $ 
 *
 *  @attention
 *  @verbatim
 *
 * MC = < Manifold Code >
 * Copyright (C) 1994-- Michael Holst
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 *  @endverbatim
 */

#ifndef _BAM_H_
#define _BAM_H_

#include <mc/mc_base.h>

#include <mc/mtool.h>
#include <mc/mat.h>
#include <mc/bmat.h>
#include <mc/vec.h>
#include <mc/bvec.h>
#include <mc/vec3.h>
#include <mc/slu.h>

#endif /* _BAM_H_ */

