/**
 *  @file       punc.h
 *  @brief      The foundation header for PUNC.
 *  @note       This is the main header file for all of PUNC.
 *              This is the only file that needs to be included in order to 
 *              access the entire library.
 *  @version    $Id: punc.h,v 1.31 2010/12/08 09:24:32 fetk Exp $
 *  @author     Michael Holst
 *  
 *  @attention
 *  @verbatim
 *
 * PUNC = < Portable Understructure for Numerical Computing >
 * Copyright (C) 1994-- Michael Holst
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 *  @endverbatim
 */

#ifndef _PUNC_H_
#define _PUNC_H_

#include <punc/punc_base.h>

#if 0
#include <punc/vf2c.h>
#endif

#if 0
#include <punc/vblas.h>
#include <punc/vlapack.h>
#include <punc/vsuperlu.h>
#include <punc/vumfpack.h>
#include <punc/varpack.h>
#include <punc/vcgcode.h>
#include <punc/vpmg.h>
#endif

#endif /* _PUNC_H_ */

